#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
# Default rules
#

'''
The default rules that determine how files are assigned to packages, the naming
of packages and metadata such as intra-component dependencies.
'''

import os

def packageDirectives():
    '''
    Rules used by PackageBuilder when creating Packages.
    @return: path to rules configuration file
    @rtype: String
    '''
    return os.path.join(os.path.dirname(__file__), "packageDirectives.xml")

def sourceRules():
    '''
    Rules used by PackageBuilder when creating files (Deliverables) for source packages
    @return: path to rules configuration file
    @rtype: String
    '''
    return os.path.join(os.path.dirname(__file__), "sourceRules.xml")

def targetRules():
    '''
    Rules used by PackageBuilder when creating files (Deliverables) for binary packages
    @return: path to rules configuration file
    @rtype: String
    '''
    return os.path.join(os.path.dirname(__file__), "targetRules.xml")
